Bug 7292 - [UPDATE REQUEST] Curl 7.47.1 → 7.50.1
: [UPDATE REQUEST] Curl 7.47.1 → 7.50.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
http://www.linuxsecurity.com/content/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-24 16:45 MSD by Алзим
Modified: 2016-09-13 11:59 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2016-08-24 16:45:07 MSD
Advisory: «Updated to 7.50.1».

https://abf.io/build_lists/2709271
https://abf.io/build_lists/2709272
Comment 1 Zombie Ryushu 2016-08-31 19:32:53 MSD
  This release fixes security issues:
  TLS: switch off SSL session id when client cert is used
  TLS: only reuse connections with the same client cert
  curl_multi_cleanup: clear connection pointer for easy handles
  For more information, see:
    https://curl.haxx.se/docs/adv_20160803A.html
    https://curl.haxx.se/docs/adv_20160803B.html
    https://curl.haxx.se/docs/adv_20160803C.html
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5419
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5420
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5421
  (* Security fix *)
Comment 2 Zombie Ryushu 2016-08-31 19:33:41 MSD
Always notify  Team Leaders for QA. Leadership has to sign off on main updates.
Comment 3 Vladimir Potapov 2016-09-08 17:25:12 MSD
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2016-09-12 18:33:41 MSD
curl-7.50.1-1
https://abf.io/build_lists/2709271
https://abf.io/build_lists/2709272
********************* Advisory ****************************
Updated to 7.50.1 with many security fixes
***********************************************************
QA Verified